#! /bin/sh
#-----------------------------------------------------------------------------
# eis/tmp/preinstall.sh - libapr-1 preinstallation
#
# Creation   :  2007-05-02 schlotze
# Last update:  $Id: preinstall.sh 58757 2018-10-19 11:24:58Z schlotze $
#
# Copyright (c) 2007-2018 the eisfair team, team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

# set packages name
packages_name=libapr1

#----------------------------------------------------------------------------
# include eislib
#----------------------------------------------------------------------------
. /var/install/include/eislib

installed=$(eisman check libapr-1 2.4.0)
if [ "${installed}" = "new" ]
then
    rm -f /etc/filelist.d/libapr-1-files.txt
    rm -f /var/install/deinstall/libapr-1
fi

installed=$(eisman check libapr-1)
if [ "${installed}" = "not-installed" ]
then
    rm -f /var/install/packages/libapr-1
fi

exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
